import { EventEmitter, OnInit } from '@angular/core';
import { Icon } from '../../../../enum/icon.enum';
import { IconCacheService } from '../../../../service/icon-cache.service';
import { TransactionConnectorService } from '../../../../service/transaction-connector.service';
import { Planning } from '@colijnit/transactionapi/build/model/planning.bo';
import { DeliveryPlanningService } from '../../../delivery-planning/service/delivery-planning.service';
import { DeliveryPlanningViewModes } from '../../../../enum/delivery-planning-view-modes.enum';
export declare class DeliveryPlanningSelectionComponent implements OnInit {
    iconCacheService: IconCacheService;
    private _transaction;
    deliveryPlanningService: DeliveryPlanningService;
    readonly icons: typeof Icon;
    readonly deliveryPlanningViewModes: typeof DeliveryPlanningViewModes;
    plannings: Planning[];
    planningChangeEvent: EventEmitter<Planning>;
    fullscreenEvent: EventEmitter<void>;
    expanded: boolean;
    get currentPlanning(): Planning;
    get currentViewMode(): DeliveryPlanningViewModes;
    set currentPlanning(planning: Planning);
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService, _transaction: TransactionConnectorService, deliveryPlanningService: DeliveryPlanningService);
    ngOnInit(): void;
    planningChange(planning: Planning): void;
    fullscreenToggled(): void;
}
